## sma 0.5.4

=== DESCRIPTION ===
Package: sma
Version: 0.5.4
Date: 2000/11/09
Title: Statistical Microarray Analysis
Author: Sandrine Dudoit <sandrine@stat.berkeley.edu>
	 Yee Hwa (Jean) Yang <yeehwa@stat.berkeley.edu>
	 Benjamin Milo BOLSTAD <bolstad@stat.Berkeley.EDU>, with
	 contributions from
	 Natalie Thorne <thorne@wehi.edu.au>
	 Ingrid Lnnstedt <ingrid@math.uu.se>
	 Jessica Mar
Maintainer: Yee Hwa (Jean) Yang and Benjamin Milo BOLSTAD <zarray@stat.Berkeley.EDU>
Depends: R (>=0.90)
Description:  The package contains some simple functions for
	      exploratory microarray analysis.  
License: GPL version 2 or newer
URL: http://www.stat.berkeley.edu/users/terry/zarray/Html/smacode.html

## sma 0.5.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: sma
-Version: 0.5.4
-Date: 2000/11/09
+Version: 0.5.5
+Date: 2001/05/17
 Title: Statistical Microarray Analysis
 Author: Sandrine Dudoit <sandrine@stat.berkeley.edu>
 	 Yee Hwa (Jean) Yang <yeehwa@stat.berkeley.edu>
@@ -10,7 +10,7 @@
 	 Ingrid Lnnstedt <ingrid@math.uu.se>
 	 Jessica Mar
 Maintainer: Yee Hwa (Jean) Yang and Benjamin Milo BOLSTAD <zarray@stat.Berkeley.EDU>
-Depends: R (>=0.90)
+Depends: R (>= 0.90)
 Description:  The package contains some simple functions for
 	      exploratory microarray analysis.  
 License: GPL version 2 or newer

## sma 0.5.6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: sma
-Version: 0.5.5
+Version: 0.5.6
 Date: 2001/05/17
 Title: Statistical Microarray Analysis
 Author: Sandrine Dudoit <sandrine@stat.berkeley.edu>

## sma 0.5.8

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: sma
-Version: 0.5.6
-Date: 2001/05/17
+Version: 0.5.8
+Date: 2002/27/02
 Title: Statistical Microarray Analysis
 Author: Sandrine Dudoit <sandrine@stat.berkeley.edu>
 	 Yee Hwa (Jean) Yang <yeehwa@stat.berkeley.edu>
@@ -10,7 +10,7 @@
 	 Ingrid Lnnstedt <ingrid@math.uu.se>
 	 Jessica Mar
 Maintainer: Yee Hwa (Jean) Yang and Benjamin Milo BOLSTAD <zarray@stat.Berkeley.EDU>
-Depends: R (>= 0.90)
+Depends: R (>= 1.3.0)
 Description:  The package contains some simple functions for
 	      exploratory microarray analysis.  
 License: GPL version 2 or newer

## sma 0.5.9

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: sma
-Version: 0.5.8
-Date: 2002/27/02
+Version: 0.5.9
+Date: 2002/29/09
 Title: Statistical Microarray Analysis
 Author: Sandrine Dudoit <sandrine@stat.berkeley.edu>
 	 Yee Hwa (Jean) Yang <yeehwa@stat.berkeley.edu>

## sma 0.5.10

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: sma
-Version: 0.5.9
-Date: 2002/29/09
+Version: 0.5.10
+Date: 2002/10/11
 Title: Statistical Microarray Analysis
 Author: Sandrine Dudoit <sandrine@stat.berkeley.edu>
 	 Yee Hwa (Jean) Yang <yeehwa@stat.berkeley.edu>

## sma 0.5.12

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: sma
-Version: 0.5.10
-Date: 2002/10/11
+Version: 0.5.12
+Date: 2003/04/17
 Title: Statistical Microarray Analysis
 Author: Sandrine Dudoit <sandrine@stat.berkeley.edu>
 	 Yee Hwa (Jean) Yang <yeehwa@stat.berkeley.edu>

## sma 0.5.14

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: sma
-Version: 0.5.12
-Date: 2003/04/17
+Version: 0.5.14
+Date: 2004/01/25
 Title: Statistical Microarray Analysis
 Author: Sandrine Dudoit <sandrine@stat.berkeley.edu>
 	 Yee Hwa (Jean) Yang <yeehwa@stat.berkeley.edu>
@@ -15,4 +15,4 @@
 	      exploratory microarray analysis.  
 License: GPL version 2 or newer
 URL: http://www.stat.berkeley.edu/users/terry/zarray/Html/smacode.html
-
+Packaged: Mon Feb  2 06:35:25 2004; rbuild

## sma 0.5.15

=== DESCRIPTION ===
Package: sma
Version: 0.5.15
Date: 2005/11/15
Title: Statistical Microarray Analysis
Author: Sandrine Dudoit <sandrine@stat.berkeley.edu>
	 Yee Hwa (Jean) Yang <yeehwa@stat.berkeley.edu>
	 Benjamin Milo Bolstad <bolstad@stat.Berkeley.EDU>, with
	 contributions from
	 Natalie Thorne <thorne@wehi.edu.au>
	 Ingrid Lnnstedt <ingrid@math.uu.se>
	 Jessica Mar
Maintainer: Benjamin M. Bolstad <bmb@bmbolstad.com>
Depends: R (>= 1.3.0)
Description:  The package contains some simple functions for
	      exploratory microarray analysis.  
License: GPL version 2 or newer
URL: http://www.stat.berkeley.edu/users/terry/zarray/Html/smacode.html
Packaged: Tue Nov 15 14:32:17 2005; bmb

## sma 1.4

=== Makefile ===
#
# $Id: Makefile,v 1.3 2001/10/29 10:24:37 jt Exp $
#

BINDIR = /usr/local/bin
MANDIR = /usr/local/man/man8

CC	= gcc
# XPG3 regular expressions (GNU/BSD/SVR4)
CFLAGS	= -Wall -O -DUSE_REGEXP
# Others
#CFLAGS	= -Wall -O

MAN	= sma.8
PROG	= sma
OBJS    = sma.o getopt.o parse.o utils.o hash.o html.o ascii.o init.o

$(PROG): $(OBJS)
	$(CC) $(CFLAGS) -o $(PROG) $(OBJS) 
	cp docs/$(MAN) .

clean:
	rm -f $(PROG) $(PROG).exe $(OBJS) $(MAN) core

install:
	./install-sh $(PROG) $(BINDIR)
	./install-sh $(MAN) $(MANDIR)

=== debian/changelog ===
sma (1.4-3.2) unstable; urgency=medium

  * Non-maintainer upload.
    Closes: #1120624
  * Remove d/rules.old since the package is now in Git
  * Add fake watch file since the download page seems to be broken
  * d/rules:
     - Remove invalid boilerplate
     - Add hardening options
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)
  * Trim trailing whitespace.
  * d/copyright:
     - DEP5
     - Review
  * Make sure build flags will be propagated
    Closes: #1119564

 -- Andreas Tille <tille@debian.org>  Wed, 31 Dec 2025 21:58:53 +0100

sma (1.4-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix ftbfs with GCC-10. (Closes: #957814)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 27 Oct 2020 22:25:23 +0000

sma (1.4-3) unstable; urgency=low

  * debian/control: bumped Standards-Version (no changes)
  * debian/rules: convert to dh7 format
  * debian/compat: bump to 9
  * debian/control: bump versioned build dependency on debhelper

 -- Andrew Pollock <apollock@debian.org>  Mon, 26 May 2014 11:48:38 +1000

sma (1.4-2) unstable; urgency=low

  * Convert to 3.0 (quilt) format
    - move upstream source modifications from the diff to debian/patches
  * Bumped debhelper compatibility level to 7
  * debian/rules: added build-{indep,arch} targets
  * debian/control: added Homepage
  * debian/rules: substituted dh_prep for dh_clean -k
  * debian/control: bumped Standards-Version
  * Updated manpage patch to fix one more error

 -- Andrew Pollock <apollock@debian.org>  Mon, 13 Feb 2012 10:15:21 -0800

sma (1.4-1) unstable; urgency=low

  * Initial release Closes: #435306

 -- Andrew Pollock <apollock@debian.org>  Sun,  9 Apr 2006 22:43:11 -0700

=== debian/control ===
Source: sma
Standards-Version: 4.7.2
Maintainer: Andrew Pollock <apollock@debian.org>
Section: mail
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
Vcs-Browser: https://salsa.debian.org/debian/sma
Vcs-Git: https://salsa.debian.org/debian/sma.git
Homepage: http://www.klake.org/sma/

Package: sma
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Sendmail log analyser
 SMA is a program that analyses Sendmail log entries.
 .
 Features:
 .
  - Support for all recent Sendmail versions
  - Flexible output formatting - HTML, ASCII and a custom log
  - Regular expression filtering of messages
  - Multiple hosts in the same report

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_install:
	$(MAKE) install BINDIR=$(CURDIR)/debian/sma/usr/bin MANDIR=$(CURDIR)/debian/sma/usr/share/man/man8

=== debian/watch ===
Version: 5

# The download page claims to have downloads but its pure text without download URLs
# Source: http://www.klake.org/sma/download.html
# Matching-Pattern: @PACKAGE@-@ANY_VERSION@
Dversion-Mangle: s/.*/0.No-Track/
Source: https://people.debian.org/~eriberto/
Matching-Pattern: FakeWatchNoUpstreamTrackingForThisPackage-(\d\S+)\.gz
